#!/bin/bash

# =====================================
# Generate Fonts
# =====================================

python make_font.py -u *.svg
mkeot RichStyle.ttf > RichStyle.eot
mv -u RichStyle* ../src/usr/share/fonts/truetype/ttf-richstyle 
mv -u ../src/usr/share/fonts/truetype/ttf-richstyle/RichStyle.sfd ../

# =====================================
# Build Package
# =====================================

tar -cf ttf-richstyle_0.2.tar src/usr/share/doc/ SVGs/ input/
dpkg-deb -b src ttf-richstyle_0.2.deb

# =====================================
# Preview
# =====================================

chromium-browser src/usr/share/doc/ttf-richstyle/copyright.web
gdebi-gtk ttf-richstyle_0.2.deb

